Subject: bug#64275: 30.0.50; [PATCH] Improve sigil font-lock match for elixir-ts-mode

From: Wilhelm Kirschbaum <[email-masked]>
Date: Sat, 07 Oct 2023 12:10:43 +0200

Wilhelm Kirschbaum <[email-masked]> writes:

>>>
>>> I'm not sure what you meant by the last sentence, sorry. What 
>>> do
>>> you
>>> think about the below?
>>>
>>>   (sigil (sigil_name) @elixir-ts-font-sigil-name-face)
>>>   @font-lock-string-face)
>>
>> Sorry for the late reply.  I believe the following patch is 
>> more
>> appropriate as it will apply the sigil font to the entire 
>> sigil, but
>> also respect the regex face.  We can add string specific 
>> matches
>> later,
>> but happy just to simplify what we have and fix apply 
>> appropriate
>> font
>> to previously unmatched sigils.
>>
>> [2. text/x-patch;
>> 0001-Simplify-sigil-font-lock-match-for-elixir-ts-mode.patch]...
>
> Actually, the above patch breaks the embedded HEEx sigils' 
> font. We
> have to exclude it when doing a general match.  Attached works 
> with ~H
> sigils as well.  Please ignore the previous patch and install 
> this
> one.
>
> [2. text/x-patch; 
> 0001-Simplify-sigil-font-lock-match-for-elixir-ts-mode(1).patch]...

Sorry :(. I am finding more edge cases.  Maybe let me test it this
properly this week before we make any changes.